Code::Blocks IDE for OpenSUSE Leap ?

Hi,

I’d like to install the Code::Blocks IDE on OpenSUSE Leap. I see there are some packages in various private user repositories. My problem is: this installation will be upgraded on every new version of OpenSUSE Leap, since it’s for a local university. Any advice on a more reliable third-party repo that also follows Leap versions ? Or some other installation method ?

Cheers,

Niki

Hi
You should use the development repository, devel:tools:ide I do see it’s not built for the current Leap releases;

Let me leave a note to enable the current repositories and if get time will update…

Hi,

I just checked, and Codeblocks is still not available in the repository you mentioned. Are there any other methods of installation for OpenSUSE? I have to install these machines for next monday, and Codeblocks is needed for the course.

Cheers & happy new year,

Niki

Hi
You would need to look at one of the linked builds;

Maybe a message should be sent to bosconovic (owner of the most current Code Blocks build in devel:tools:ide/) to also publish to devel:tools which is where most current builds are currently publishing?

Assuming there is no convention or requirement that prevents a private builder to publish directly to the more current and used repo…

TSU